<?php
/**
 * CreepTD is an Open Source Online Multiplayer TowerDefense game for 1-4
 * players playing on one map. It's the mother of all TD games.
 *
 *                      ---   www.creeptd.com   ---
 *
 * CreepTD PHP library Copyright (C) 2011 by
 * - Daniel Wirtz, virtunity media (http://virtunity.com)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/

/**
 * A CreepTD point.
 * 
 * @author Daniel
 */
class CreepTD_Point {

    private $x;
    private $y;

    /**
     * Create a Point instance.
     * @param int $x The Point's X coordinate
     * @param int $y The Point's Y coordinate
     */
    public function __construct($x, $y) {
        $this->x = $x;
        $this->y = $y;
    }

    /**
     * Get the Point's X coordinate.
     * @return int Y coordinate
     */
    public function getX() {
        return $this->x;
    }

    /**
     * Get the Point's Y coordinate.
     * @return int Y coordinate
     */
    public function getY() {
        return $this->y;
    }

}

?>